Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.schemamatching
Class MatchingResult

    java.lang.Object
      edu.udo.cs.miningmart.schemamatching.MatchingResult

public class MatchingResult
extends java.lang.Object

Objects of this class are result matrices of schema matchers that implement the interface `MmSchemaMatcher`.

Version:
  $Id: MatchingResult.java,v 1.3 2006/04/11 14:10:17 euler Exp $
Author:
  Timm Euler

Constructor Summary
`MatchingResult()`

Method Summary
`BaseAttribute` | `getBaOfFirstSchema()`
`BaseAttribute` | `getBaOfSecondSchema()`
`double` | `getSimilarity()`
`void` | `setBaOfFirstSchema(BaseAttribute ba)`
`void` | `setBaOfSecondSchema(BaseAttribute ba)`
`void` | `setSimilarity(double similarity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatchingResult

    public MatchingResult()

Method Detail

### getBaOfFirstSchema

    public BaseAttribute getBaOfFirstSchema()

  Returns:
    Returns the BaseAttribute of the first schema.

### setBaOfFirstSchema

    public void setBaOfFirstSchema(BaseAttribute ba)
                            throws SchemaMatchException

  Parameters:
    `ba` - The BaseAttribute to set.
  Throws:
    `SchemaMatchException`

### getBaOfSecondSchema

    public BaseAttribute getBaOfSecondSchema()

  Returns:
    Returns the BaseAttribute of the second schema.

### setBaOfSecondSchema

    public void setBaOfSecondSchema(BaseAttribute ba)
                             throws SchemaMatchException

  Parameters:
    `ba` - The BaseAttribute to set.
  Throws:
    `SchemaMatchException`

### getSimilarity

    public double getSimilarity()

  Returns:
    Returns the similarity.

### setSimilarity

    public void setSimilarity(double similarity)

  Parameters:
    `similarity` - The similarity to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005